#ifndef _global_h
#define _global_h

#define PROJECT "ROX-Menu"
#define ENTER 0
#define LEAVE 1

#include <glib.h>
#include <gtk/gtk.h>
#include <gdk-pixbuf/gdk-pixbuf.h>

GtkWidget *create_scaled_pixmap(char *path, char *default_icon[]);
GdkPixbuf *scale_pixbuf(GdkPixbuf *src, int max_w, int max_h);
GdkPixbuf *scale_pixbuf_unconditional(GdkPixbuf *src, int max_w, int max_h);
void change_menu_pixmap(gint state);
void write_config(void);
void read_config(void);

/* Global menu icon and menu button. */
GtkWidget *button, *_pixmap;
/* Here's our global configuration data. */
guint icon_width;
guint icon_height;
gchar *menu_file_on;
gchar *menu_file_off;

#endif
